#include <iostream>
using namespace std;
int main() {
	int a, b;
	cin >> a >> b;
	int x, y;
	cin >> x >> y;
	if (x < a && y < b) {
		cout << "?" << endl;
	}
	else if (x < a && y == b) {
		cout << "prvi" << endl;
	}
	else if (x = a && y < b) {
		cout << "drugi" << endl;
	}
	else {
		cout << "nijedan" << endl;
	}
}